unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ApFolderDlg, StdCtrls, ShlObj;

type
  TForm1 = class(TForm)
    Button1: TButton;
    ApFolderDialog1: TApFolderDialog;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ApFolderDialog1SelectionChange(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses ActiveX, Unit2;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ApFolderDialog1.Execute;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ApFolderDialog1.SelectedFolder := 'C:\';
end;

procedure TForm1.ApFolderDialog1SelectionChange(Sender: TObject);
begin
 ApFolderDialog1.StatusText := ApFolderDialog1.SelectedFolder;
 Form2.Label2.Caption := ApFolderDialog1.SelectedFolder;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  pidl : PItemIDList;
  Allocator : IMalloc;
begin
  SHGetMalloc(Allocator);
  SHGetSpecialFolderLocation(Handle, CSIDL_SENDTO, pidl);
  ApFolderDialog1.SelectedPidl := pidl;
  Allocator.Free(pidl);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  ApFolderDialog1.SelectedFolder := 'C:\Program Files';
end;

end.
